cxf-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Cameron Taggart" <cameron.tagg...@gmail.com>
Subject Re: Java 6 failures...
Date Tue, 23 Jan 2007 22:12:10 GMT
I'm using Java 6 and a bunch of stuff is bundled with it that you can
override with the endorsed mechanism.  In order to get my CXF client
working just now, I had to endorse stax-api-1.0.1.jar.  I found it
simplest to put it in jre\lib\endosed.  I had to create that folder
first.  On my PC, the full path:
D:\java\jdk1.6.0\jre\lib\endorsed\stax-api-1.0.1.jar

It would be nice if there was a list of the bundled api versions.  Is
the stax api 1.0 in Java 6?  The other override mechanism is passing
in a system property.  I think something like this would work.
-Djava.endorsed.dirs=D:/java/cxf-2.0-incubator-M1/lib

That would pick up at least jaxb-api-2.0.jar, jaxws-api-2.0.jar, &
stax-api-1.0.1.jar.  Otherwise they won't get loaded in Java 6.

cheers,
Cameron

On 1/22/07, Dan Diephouse <dan@envoisolutions.com> wrote:
> This probably isn't the problem you're encountering, but another potential
> problem source is that JAXB is bundled in J6 Which means depending on the
> version thats in there, there could be bugs which aren't fixed, which might
> cause unit tests to fail.
>
> - Dan
>
> On 1/22/07, Daniel Kulp <daniel.kulp@iona.com> wrote:
> >
> >
> > Just to let everyone know...
> >
> > Don't upgrade to java 6 yet unless you want to start debugging tests.
> > There
> > are a LOT of test failures right now when you use java 6.   I'm not sure
> > why
> > yet.   It looks like the XML parsers/validators are very different which
> > is
> > causing some issues.
> >
> >
> > --
> > J. Daniel Kulp
> > Principal Engineer
> > IONA
> > P: 781-902-8727    C: 508-380-7194
> > daniel.kulp@iona.com
> >
>
>
>
> --
> Dan Diephouse
> Envoi Solutions
> http://envoisolutions.com | http://netzooid.com/blog
>
>

Mime
View raw message